select,
textarea,
input[type="text"],
input[type="password"],
input[type="datetime"],
input[type="datetime-local"],
input[type="date"],
input[type="month"],
input[type="time"],
input[type="week"],
input[type="number"],
input[type="email"],
input[type="url"],
input[type="search"],
input[type="tel"],
input[type="color"],
.uneditable-input {
  display: revert-layer;
  height: revert-layer;
  padding: revert-layer;
  margin-bottom: revert-layer;
  font-size: revert-layer;
  line-height: revert-layer;
  color: revert-layer;
  vertical-align: revert-layer;
  -webkit-border-radius: revert-layer;
     -moz-border-radius: revert-layer;
          border-radius: revert-layer;
}

textarea,
input[type="text"],
input[type="password"],
input[type="datetime"],
input[type="datetime-local"],
input[type="date"],
input[type="month"],
input[type="time"],
input[type="week"],
input[type="number"],
input[type="email"],
input[type="url"],
input[type="search"],
input[type="tel"],
input[type="color"],
.uneditable-input {
  background-color: revert-layer;
  border: revert-layer;
  -webkit-box-shadow: revert-layer;
     -moz-box-shadow: revert-layer;
          box-shadow: revert-layer;
  -webkit-transition: revert-layer;
     -moz-transition: revert-layer;
       -o-transition: revert-layer;
          transition: revert-layer;
}

textarea:focus,
input[type="text"]:focus,
input[type="password"]:focus,
input[type="datetime"]:focus,
input[type="datetime-local"]:focus,
input[type="date"]:focus,
input[type="month"]:focus,
input[type="time"]:focus,
input[type="week"]:focus,
input[type="number"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="search"]:focus,
input[type="tel"]:focus,
input[type="color"]:focus,
.uneditable-input:focus {
  border-color: revert-layer;
  outline: revert-layer;
  -webkit-box-shadow: revert-layer;
     -moz-box-shadow: revert-layer;
          box-shadow: revert-layer;
}

table {
  max-width: revert-layer;
  background-color: revert-layer;
  border-collapse: revert-layer;
  border-spacing:revert-layer;
}

.table {
  width: revert-layer;
  margin-bottom: revert-layer;
}

.table th,
.table td {
  padding: revert-layer;
  line-height: revert-layer;
  text-align: revert-layer;
  vertical-align: revert-layer;
  border-top: revert-layer;
}

.table th {
  font-weight: revert-layer;
}

.table thead th {
  vertical-align: revert-layer;
}

.table caption + thead tr:first-child th,
.table caption + thead tr:first-child td,
.table colgroup + thead tr:first-child th,
.table colgroup + thead tr:first-child td,
.table thead:first-child tr:first-child th,
.table thead:first-child tr:first-child td {
  border-top: revert-layer;
}

.table tbody + tbody {
  border-top: revert-layer;
}

.table .table {
  background-color: revert-layer;
}

.table-condensed th,
.table-condensed td {
  padding: revert-layer;
}

button, input, select, textarea {
    margin: revert-layer;
    font-size: revert-layer;
    vertical-align: revert-layer;
}
